# livelike_flutter_sdk

### The Official Flutter LiveLike SDK

[Documentation](https://docs.livelike.com/docs/getting-started-1)

[HomePage](https://livelike.com/)

#### Create Engagement SDK instance
```dart
final sdk = EngagementSDK("<client-id>");
```
#### Create Engagement SDK instance with access token support
```dart
final sdk = EngagementSDK.accessToken("<client-id>","<saved-access-token>",(accessToken){
      //fetched access token
});
```

#### Error Delegate Support
```dart
sdk.errorStream.listen((error) {
      print("Error: $error");
      //Getting error from any where from the sdk
    });
```


#### ChatView
```dart
ChatView(key: Key("${chatSession.chatRoomId}"),
         session:chatSession!);
```

#### WidgetView
```dart
WidgetView(session: session!,
           key: Key(session!.programId!));
```

#### Leaderboard API's

##### Getting Leaderboard associated with a Program
```dart
final List<LeaderBoard> list = await sdk.getLeaderBoards("<program-id>");
```

##### Getting leaderboard details
```dart
final LeaderBoard detail=await sdk.getLeaderBoardDetails("<leaderBoardId>");
```

##### Getting leaderboard entries
```dart
final List<LeaderBoardEntry> result = await sdk.getEntriesForLeaderBoard(
        "<leaderboard-id>", "<LiveLikePagination>");
```

##### Getting leaderboard entry for a given profile
```dart
final LeaderBoardEntry result = await sdk.getLeaderBoardEntryForProfile(
        "<leaderboard-id>", "<profile-id>");
```

##### Getting a leaderboard entry for the current user profile
```dart
final LeaderBoardEntry result = await sdk.getLeaderBoardEntryForCurrentUserProfile("<leaderboard-id>");
```

#### Sponsor APi
```dart
final sposnors =await sdk.sponsor.fetchByProgramId("<program-id>")
```